List Deployments
curl --request GET \
--url https://api.ravion.com/deployments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ravion.com/deployments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ravion.com/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"createdAt": "2023-11-07T05:31:56Z",
"deploymentType": "<string>",
"description": "<string>",
"environmentId": "<string>",
"id": "<string>",
"moduleInstanceId": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"triggerSource": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"data": {
"clusterArn": "<string>",
"serviceArn": "<string>",
"type": "aws:ecs",
"acceptedPauseControl": {
"acceptedAt": "2023-11-07T05:31:56Z",
"hookId": "<string>",
"eventStartedAt": "2023-11-07T05:31:56Z",
"lifecycleStage": "<string>"
},
"deployedTaskDefinition": {
"arn": "<string>",
"definition": {},
"revision": 123
},
"ecsModuleDeploymentId": "<string>",
"elbListenerState": [
{
"capturedAt": "2023-11-07T05:31:56Z",
"loadBalancerArn": "<string>",
"loadBalancerDnsName": "<string>",
"rules": [
{
"isDefaultRule": true,
"listenerArn": "<string>",
"port": 123,
"protocol": "<string>",
"ruleArn": "<string>",
"targetGroupArn": "<string>",
"hostHeaders": [
"<string>"
],
"pathPatterns": [
"<string>"
],
"rulePriority": 123,
"targetGroupName": "<string>"
}
]
}
],
"events": [
{
"currentStep": 123,
"startedAt": "2023-11-07T05:31:56Z",
"totalSteps": 123,
"desiredCount": 123,
"hookId": "<string>",
"lifecycleStage": "<string>",
"message": "<string>"
}
],
"postDeployEnabled": true,
"preDeployEnabled": true,
"previousTaskDefinition": {
"arn": "<string>",
"definition": {},
"revision": 123
},
"revertExternalDeploymentId": "<string>",
"revertRequestedAt": "2023-11-07T05:31:56Z",
"revertServiceDeploymentArn": "<string>",
"serviceDeploymentArn": "<string>",
"serviceDeploymentState": {
"acceptsNativeStandbyRevert": true,
"observedAt": "2023-11-07T05:31:56Z",
"serviceDeploymentArn": "<string>",
"status": "<string>",
"lifecycleStage": "<string>",
"sourceServiceRevisions": [
{
"pendingTaskCount": 123,
"requestedTaskCount": 123,
"runningTaskCount": 123,
"serviceRevisionArn": "<string>",
"requestedProductionTrafficWeight": 123,
"requestedTestTrafficWeight": 123
}
],
"statusReason": "<string>",
"strategy": "<string>",
"targetServiceRevision": {
"pendingTaskCount": 123,
"requestedTaskCount": 123,
"runningTaskCount": 123,
"serviceRevisionArn": "<string>",
"requestedProductionTrafficWeight": 123,
"requestedTestTrafficWeight": 123
}
}
},
"error": {
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
},
"externalDeploymentId": "<string>",
"pipelineRunId": "<string>",
"redeployOfDeploymentId": "<string>",
"resourceArn": "<string>",
"resourceName": "<string>",
"rollbackToDeploymentId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"stepExecutionId": "<string>"
}
],
"meta": {
"limit": 123,
"nextCursor": "<string>",
"totalCount": 123
}
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}Deployments
List Deployments
GET
/
deployments
List Deployments
Query Parameters
Return deployments belonging to any of these module instances, newest first, bounded by limit.
Maximum array length:
200When set together with moduleInstanceIds, return only the newest N deployments per module instance.
Required range:
1 <= x <= 50Filter to deployments in any of these statuses.
Maximum array length:
20Was this page helpful?
⌘I